// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#ifndef SETTINGS_H
#define SETTINGS_H

#include <QSettings>
#include <QVector>

#define MAX_NB_ZONES 4

struct Heater {
	QString ctrl_topic;
};

struct Room {
	QString name;
	QString sensor_topic;
	QString availability_topic;
	QVector<struct Heater> heaters;
};

struct Brocker {
	QString address;
	int port;
};

class Settings : public QSettings
{
	Q_OBJECT
public:
	static Settings *getInstance(void);
	int nbZones();

	QVector<struct Room> m_rooms;
	struct Brocker m_broker;

private:
	Settings();
	~Settings();
	static Settings *_singleton;

};

#endif // SETTINGS_H

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */

